Bug 1303155 - ERROR -- : Q-task_id([resource_action_360000000000104]) [DRb::DRbConnError]: druby://127.0.0.1:55138 - #<Errno::ECONNREFUSED: Connection refused - connect(2) for "127.0.0.1" port 55138> Method:[rescue in deliver]
ERROR -- : Q-task_id([resource_action_360000000000104]) [DRb::DRbConnError]: ...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
All All
unspecified Severity urgent
: GA
: 5.6.0
Assigned To: mkanoor
Kevin Morey
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 12:33 EST by Kevin Morey
Modified: 2016-02-13 14:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 17:32:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs for both appliances (19.01 MB, application/zip)
2016-01-29 12:33 EST, Kevin Morey
no flags Details

  None (edit)
Description Kevin Morey 2016-01-29 12:33:01 EST
Created attachment 1119480 [details]
logs for both appliances

Description of problem:
I have a button that calls a state machine with that does a retry. The state machine never comes back. After further research (with help from Tina) she pointed out that there is a DRB Error preventing the retry from occuring.

Version-Release number of selected component (if applicable):
5.5.2.4

How reproducible:
100%

Steps to Reproduce:
1. attempt to perform an ae_retry in an automate method
2. 
3.

Actual results:
the method is never retried. and the evm.log shows ERROR -- : Q-task_id([resource_action_360000000000104]) [DRb::DRbConnError]: druby://127.0.0.1:55138 - #<Errno::ECONNREFUSED: Connection refused - connect(2) for "127.0.0.1" port 55138> Method:[rescue in deliver]

Expected results:
expected the retry to occur

Additional info:
Logs are attached
Comment 6 mkanoor 2016-01-29 16:25:35 EST
In the Automate method the customer was using $evm.set_state_var function to set a hash and the hash had a default initializer function.

$evm.set_state_var(:volumes_option_hash, volumes_option_hash)

The volumes_option_hash was defined as volume_options_hash=Hash.new { |h, k| h[k] = {} })

where the |h, k| h[k] = {} is the initializer function. If the hash doesn't have a key it gets the default value in this case an empty hash.

Hashes that have a default initializer function cannot be used in $evm.set_state_var.
Comment 7 mkanoor 2016-01-29 16:26:44 EST
We should mention this in our documentation
Comment 9 Shveta 2016-02-01 16:32:40 EST
Assigning to add test case
Comment 10 mkanoor 2016-02-01 17:32:29 EST
We should document that Hashes with default initializer cannot be used in $evm.set_state_var

Note You need to log in before you can comment on or make changes to this bug.